Subject: Re: bug#12791: 24.2; An option to load user init file with -batch

From: Glenn Morris <[email-masked]>
Date: Sat, 03 Nov 2012 15:01:59 -0400

Eli Zaretskii wrote:

>> > What's wrong with "-l ~/.emacs"? The difference in the loading
>> > order is a non-issue in batch mode anyway.
>> 
>> not portable.
>
> Sorry, I don't understand.  Please elaborate: when does it not work
> and why?

One possibility: maybe the init file is actually ~/.emacs.el, or
~/.emacs.d/init.el, etc. So the caller would have to do (a small amount
of) actual work to locate it, rather than just letting Emacs handle it
transparently as normal.

(It sure would waste less time if reports were less vague, particularly
when asking for new features to be implemented.)